package net.minecraft.src.forestry.api;

import net.minecraft.src.ItemStack;

/**
 * Represents buckets/items that contain water.
 */
public class LiquidContainer {
	/**
	 * Contained liquid.
	 */
	public ItemStack liquid;
	/**
	 * Item filled with water.
	 */
	public ItemStack filled;
	/**
	 * Quantity of water contained in filled item.
	 */
	public int quantity;
	/**
	 * Item without water.
	 */
	public ItemStack empty;
	/**
	 * Bucket behaviour. Non-stackable, leaves {@link empty} after contents are consumed.
	 */
	public boolean isBucket;

	public LiquidContainer(ItemStack liquid, ItemStack filled, int quantity, ItemStack empty, boolean isBucket)
	{
		this.liquid = liquid;
		this.filled = filled;
		this.quantity = quantity;
		this.empty = empty;
		this.isBucket = isBucket;
	}
}
